use crate::{errors::RunError, stack::Stack};

pub fn args(memory: &mut Vec<u16>, origin_stack: &mut Option<&mut Stack>, data: &u16) {
    if let Some(origin_stack) = origin_stack.as_mut() {
        let mut data = *data;

        if data == 0 {
            data = origin_stack.memory.pop().expect(&format!("{}", RunError::MemoryEmpty));
        }

        for _ in 0..data {
            memory.push(origin_stack.memory.pop().expect(&format!("{}", RunError::MemoryEmpty)));
        }
    } else {
        eprintln!("{}", RunError::RequestArgsInMainModule);
        std::process::exit(2);
    }
}